Package network.client

# Class Client

java.lang.Object
network.client.Client

public class Client extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final Signal`
  `onClosed`
  `final Signal`
  `onConnect`
  `final Signal`
  `onDisconnect`
  `final ConsumerSignal<Player>`
  `onGameEnd`
  `final Signal`
  `onGameStarted`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Client(String pseudo, String address, short port)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addPlayer(Player player)`
  `void`
  `forceDisconnect()`
  `String`
  `getDisconnectReason()`
  `Game`
  `getGame()`
  `Player`
  `getPlayer()`
  `void`
  `login(String pseudo)`
  `void`
  `sendCellChange(Cell cell)`
  `void`
  `stop()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### onConnect

    public final Signal onConnect

  - ### onDisconnect

    public final Signal onDisconnect

  - ### onClosed

    public final Signal onClosed

  - ### onGameStarted

    public final Signal onGameStarted

  - ### onGameEnd

    public final ConsumerSignal<Player> onGameEnd

- ## Constructor Details

  - ### Client

    public Client(String pseudo, String address, short port) throws UnknownHostException, IOException
    Throws:
      `UnknownHostException`
      `IOException`

- ## Method Details

  - ### login

    public void login(String pseudo)

  - ### stop

    public void stop()

  - ### addPlayer

    public void addPlayer(Player player)

  - ### getGame

    public Game getGame()

  - ### getDisconnectReason

    public String getDisconnectReason()

  - ### forceDisconnect

    public void forceDisconnect()

  - ### sendCellChange

    public void sendCellChange(Cell cell)

  - ### getPlayer

    public Player getPlayer()